/*
 * Integration in Docebo for TinyMce editor
*/

tinyMCE.init
({
	selector: "textarea.tinymce_complex",
	forced_root_block : false,
	force_p_newlines : false,
	relative_urls : false,
	remove_script_host: false,
	plugins: [
				"advlist autolink link image lists charmap print preview hr anchor pagebreak spellchecker",
				"searchreplace wordcount visualblocks visualchars code fullscreen insertdatetime media nonbreaking",
				"save table contextmenu directionality emoticons template paste textcolor"
			],
	toolbar1 : "fullscreen,code,newdocument,|"
	+ ",cut,copy,paste,pastetext,pasteword,|"
	+ ",undo,redo,|"
	+ ",bullist,numlist,|"
	+ ",bold,italic,underline,strikethrough,|"
	+ ",justifyleft,justifycenter,justifyright,justifyfull,|"
	+ ",link,unlink",
	toolbar2 : "image,media,emotions,table,|"
	+ ",charmap,|"
	+ ",fontsizeselect,|"
	+ ",forecolor,backcolor",
	height:"250px",
	width:"100%",
	file_browser_callback : 'myFileBrowser'
});

tinyMCE.init
({
	selector: "textarea.tinymce_simple",
	forced_root_block : false,
	force_p_newlines : false,
	relative_urls : false,
	remove_script_host: false,
	plugins: [
				"advlist autolink link image lists charmap print preview hr anchor pagebreak spellchecker",
				"searchreplace wordcount visualblocks visualchars code fullscreen insertdatetime media nonbreaking",
				"save table contextmenu directionality emoticons template paste textcolor"
			],
	toolbar1 : "cut,copy,paste,|"
	+ ",undo,redo,|"
	+ ",bold,italic,underline,|"
	+ ",link,unlink",
	toolbar2 : "image,media,|"
	+ ",fontsizeselect,|"
	+ ",forecolor,backcolor,|"
	+ ",code",
	height:"250px",
	width:"100%",
	file_browser_callback : 'myFileBrowser'
});

function myFileBrowser (field_name, url, type, win)
{
	tinyMCE.activeEditor.windowManager.open({
        file : '../doceboCore/addons/mod_media/index_tiny.php' + "?type=" + type,
        title : 'File Browser',
        width : 800, 
        height : 600,
        resizable : "yes",
        inline : "yes",
        close_previous : "no"
    }, {
        window : win,
        input : field_name
    });
	
	return false;
} 